Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » AJDT on Mustang (java 1.6) problem
AJDT on Mustang (java 1.6) problem [message #62210] Fri, 24 February 2006 15:25 Go to next message
Stanislav Bernatsky is currently offline Stanislav Bernatsky
Messages: 11
Registered: July 2009
Junior Member
Hi.

Do AJDT work on Mustang(java 1.6)?
When I start Eclipse with AJDT using java 1.5_06 I see AJDT related stuff
(e.g. menus, toolbars, etc) in eclipse window.
When I start Eclipse with AJDT using java 1.6 I do not see any AJDT
related stuff, but AJDT presents in Help -> Software updates -> Manage
Configuration. No errors appear in .log file too.


WBR,
Stanislav Bernatsky.
Re: AJDT on Mustang (java 1.6) problem [message #62233 is a reply to message #62210] Fri, 24 February 2006 16:48 Go to previous messageGo to next message
Holger Hoffstätte is currently offline Holger Hoffstätte
Messages: 2
Registered: July 2009
Junior Member
On Fri, 24 Feb 2006 15:25:17 +0000, Stanislav Bernatsky wrote:

> Do AJDT work on Mustang(java 1.6)?

Works fine for me and has done so for quite some time. I'm curently using
b72.

-h
Re: AJDT on Mustang (java 1.6) problem [message #62280 is a reply to message #62233] Mon, 27 February 2006 09:43 Go to previous messageGo to next message
Stanislav Bernatsky is currently offline Stanislav Bernatsky
Messages: 11
Registered: July 2009
Junior Member
Hmm. Doesn't work for me neither with bublic beta nor b70 of mustang.
I'm using 1.4.0 version of AJDT (build 20060209002800, AspectJ version:
1.5.1.20060131132251) with eclipse 3.2M4.

What is yours configuration so I could check it for me?

WBR,
Stanislav Bernatsky.
Re: AJDT on Mustang (java 1.6) problem [message #62352 is a reply to message #62280] Thu, 02 March 2006 15:17 Go to previous messageGo to next message
Stanislav Bernatsky is currently offline Stanislav Bernatsky
Messages: 11
Registered: July 2009
Junior Member
Replying to myself:
I've figured why AJDT didn't work.
It was broblem with org.eclipse.pde.build plugin that AJDT depends on.
For it 'Bundle-RequiredExecutionEnvironment: J2SE-1.4' was set in
MANIFEST-MF. Deleting this line helped.

WBR,
Stanislav Bernatsky.

PS. [off] Is there any way to specify that plugin requires _at least_ the
specified version?
Re: AJDT on Mustang (java 1.6) problem [message #62401 is a reply to message #62352] Thu, 02 March 2006 15:52 Go to previous message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
On Thu, 02 Mar 2006 15:17:44 +0000, Stanislav Bernatsky wrote:
> I've figured why AJDT didn't work.
> It was broblem with org.eclipse.pde.build plugin that AJDT depends on.
> For it 'Bundle-RequiredExecutionEnvironment: J2SE-1.4' was set in
> MANIFEST-MF. Deleting this line helped.

Aha, good detective work.

> PS. [off] Is there any way to specify that plugin requires _at least_ the
> specified version?

I'm not sure, but if not, there should be! This seems a bit of a strange
specification for that plug-in to be making anyway. Can you raise a bug
for this against PDE?

Regards,

Matt.
Re: AJDT on Mustang (java 1.6) problem [message #592341 is a reply to message #62210] Fri, 24 February 2006 16:48 Go to previous message
Holger Hoffstätte is currently offline Holger Hoffstätte
Messages: 2
Registered: July 2009
Junior Member
On Fri, 24 Feb 2006 15:25:17 +0000, Stanislav Bernatsky wrote:

> Do AJDT work on Mustang(java 1.6)?

Works fine for me and has done so for quite some time. I'm curently using
b72.

-h
Re: AJDT on Mustang (java 1.6) problem [message #592359 is a reply to message #62233] Mon, 27 February 2006 09:43 Go to previous message
Stanislav Bernatsky is currently offline Stanislav Bernatsky
Messages: 11
Registered: July 2009
Junior Member
Hmm. Doesn't work for me neither with bublic beta nor b70 of mustang.
I'm using 1.4.0 version of AJDT (build 20060209002800, AspectJ version:
1.5.1.20060131132251) with eclipse 3.2M4.

What is yours configuration so I could check it for me?

WBR,
Stanislav Bernatsky.
Re: AJDT on Mustang (java 1.6) problem [message #592384 is a reply to message #62280] Thu, 02 March 2006 15:17 Go to previous message
Stanislav Bernatsky is currently offline Stanislav Bernatsky
Messages: 11
Registered: July 2009
Junior Member
Replying to myself:
I've figured why AJDT didn't work.
It was broblem with org.eclipse.pde.build plugin that AJDT depends on.
For it 'Bundle-RequiredExecutionEnvironment: J2SE-1.4' was set in
MANIFEST-MF. Deleting this line helped.

WBR,
Stanislav Bernatsky.

PS. [off] Is there any way to specify that plugin requires _at least_ the
specified version?
Re: AJDT on Mustang (java 1.6) problem [message #592399 is a reply to message #62352] Thu, 02 March 2006 15:52 Go to previous message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
On Thu, 02 Mar 2006 15:17:44 +0000, Stanislav Bernatsky wrote:
> I've figured why AJDT didn't work.
> It was broblem with org.eclipse.pde.build plugin that AJDT depends on.
> For it 'Bundle-RequiredExecutionEnvironment: J2SE-1.4' was set in
> MANIFEST-MF. Deleting this line helped.

Aha, good detective work.

> PS. [off] Is there any way to specify that plugin requires _at least_ the
> specified version?

I'm not sure, but if not, there should be! This seems a bit of a strange
specification for that plug-in to be making anyway. Can you raise a bug
for this against PDE?

Regards,

Matt.
Previous Topic:AJDT New Feature of the Week: Additional Crosscutting Comparison functionality
Next Topic:Multi-dirrectory output
Goto Forum:
  


Current Time: Fri Oct 24 07:07:08 GMT 2014

Powered by FUDForum. Page generated in 0.06451 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software